# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-Net-ILO
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-ILO
Version:        0.54
Release:        1.1
Summary:        Interface to HP Integrated Lights-Out
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/N/NL/NLEWIS/Net-ILO-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Net-ILO/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::Simple)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(XML::Simple)

%description
The Net::ILO module is an interface to a subset of Hewlett-Packards Integrated
Lights-Out out-of-band management system. HP's API is XML-based and cumbersome
to use; this module aims to simplify accessing the iLO from Perl while
retaining as much functionality as possible.

Not every iLO function is implemented here, however most common ones are.

%prep
%setup -q -n "Net-ILO"
%__sed -i '/^auto_install/d' Makefile.PL

%__rm README.pod
%__sed -i '/^README.pod/d' MANIFEST

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README LICENSE TODO
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/ILO.pm
%dir %{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Net/ILO
%doc %{perl_man3dir}/Net::ILO.%{perl_man3ext}%{ext_man}

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Fri Nov 19 2010 pascal.bleser@opensuse.org
- update to 0.53:
  * added ability to activate advanced license from Net::ILO
  * removed username/password checking cruft from https_port() and network()
* Mon Sep 27 2010 pascal.bleser@opensuse.org
- update to 0.52:
  * fix for older versions (<=5.8.0) of perl
* Tue Aug 31 2010 pascal.bleser@opensuse.org
- update to 0.51:
  * if mac01 is set and mac03/04 aren't, calling mac04 or mac04 returns immediately rather than sending iLO request
  * renamed fw_version to get_fw_version for consistency
  * fixed bug in get_fw_version() where error condition wasn't propagated
  * fixed test in t/04-generate_cmd to work with iLO 3 changes
- changes from 0.50:
  * BETA support for iLO 3
  * added methods for mac03 and mac04
  * _populate_host_data no longer depends on the order of data returned
  * _send formats XML nicely, without leading / trailing spaces
- changes from 0.43:
  * moved XML header and footer generation to its own function [wrap()]
  * added new methods for gathering server health:
    + fans()
    + power_supplies()
    + temperatures()
  * alphabetized commands in _generate_cmd()
- changes from 0.42:
  * removed bad test from t/03-serialize.t
* Mon Jul 26 2010 pascal.bleser@opensuse.org
- initial package (0.41)
